------------------------------------------------------------
-- OnControlValueChange
------------------------------------------------------------
-- Called when a cab control is modified
------------------------------------------------------------
-- Parameters:
--	name	= Name of the control
--	index	= Index of the control
--	value	= Modified control value
------------------------------------------------------------
function Initialise()

gStrobeSpeed = 0.5   --> aqui puedes cambiar la velocidad de la intermitencia, equivale a la duracion de un ciclo completo de encendido/apagado en segundos.
gStrobe = true
gStrobeTime = 0
gTime = 0

gFanTime = 0
gFanAdd = 0
gFanVel = 0

gVentTime = 0
gVentAdd = 0
gVentVel = 0


gPos3 = 0
gPrevExValue3 = 0

gPos4 = 0
gPrevExValue4 = 0

gPos5 = 0
gPrevExValue5 = 0

gPos6 = 0
gPrevExValue6 = 0

gPos7 = 0
gPrevExValue7 = 0

gPos8 = 0
gPrevExValue8 = 0

gPos10 = 0
gPrevExValue10 = 0

gBrakestate=0 

gPrevExValue9 = 0

gDBrakestate=0

gStepstate = 0

gLocoSpeed = 0

gDirection = 0

gSelector = 0

--Dynamic Smoke
	
	-- Variables
--	gSmokeColourR = 1.0
--	gSmokeColourG = 1.0
--	gSmokeColourB = 1.0
	
	
	    --Lights
    Call( "lights_cablight_001:Activate", 0 )
	Call( "lights_cablight_002:Activate", 0 )
	Call( "ActivateNode", "lights_step", 0 )
	Call( "lights_step_001:Activate", 0 )
	Call( "lights_step_002:Activate", 0 )
	Call( "lights_step_003:Activate", 0 )
	Call( "lights_step_004:Activate", 0 )
	Call( "ActivateNode", "lights_numberboards", 0 )
	Call( "ActivateNode", "lights_cablight", 0 )
	Call( "ActivateNode", "instrumentlights", 0 )
	


	
	-- Activate particle emitters
--	Call( "DieselExhaust:SetEmitterActive", 1 );
--	gSmokeColourR, gSmokeColourG, gSmokeColourB = Call( "DieselExhaust:GetEmitterColour" )
	
	Call( "FWD_Dirt_01:SetEmitterActive", 0 )
	Call( "FWD_Dirt_02:SetEmitterActive", 0 )
	Call( "BWD_Dirt_01:SetEmitterActive", 0 )
	Call( "BWD_Dirt_02:SetEmitterActive", 0 )
	
	--StartUp
	
MSSTARTUP = 1201
MSPUMP = 1202
MSSTART = 1203
MSBAT =  1204
MSAUXSW = 1205
MSFUELPRESS = 1206
MSBATSW = 1207


gFansControl = false
gFansTime = 0
gFansVel = 0
gFansAdd = 0

gFuelTime = 0
gFuelFactor = 0
gFuelPress = 0
gFuelStart = false

gBatSupply = false
gAuxSupply = false

gBatTime = 0
gBat = 75

BPX = 0
BPY = 0

LPX = 0
LPY = 0

gTE = 0
gCoolFactor = 0
gRpmHeat = 0
gTEHeat = 0
gBrakeHeat = 0
gTempTime = 0
gAmbiente = 15
gAmbientFactor = 0


gAlertsTime = 0
gAlertsInter = false
gAlarm = 0


 

gDistance = 0


gInService = 0


gSelectorLock = false


Call( "Exhaust:SetEmitterActive", 0 )
		
		
		Call("BeginUpdate")	
		
		
		
		
end


function OnControlValueChange ( name, index, value )

	if Call( "*:ControlExists", name, index ) then

		Call( "*:SetControlValue", name, index, value );

	end
	
	
	--CabLight
	if name == "CabLight" then
        if value > 0 then
           Call( "lights_cablight_001:Activate", 1 )
		   Call( "lights_cablight_002:Activate", 1 )
		   Call( "ActivateNode", "lights_cablight", 1 )
        else
           Call( "lights_cablight_001:Activate", 0 )
		   Call( "lights_cablight_002:Activate", 0 )
		   Call( "ActivateNode", "lights_cablight", 0 )
		end   
    end
	
	
	--StepLights
	if name == "StepLight" then
        if value > 0 then
		   Call( "ActivateNode", "lights_step", 1 )
           Call( "lights_step_001:Activate", 1 )
		   Call( "lights_step_002:Activate", 1 )
		   Call( "lights_step_003:Activate", 1 )
		   Call( "lights_step_004:Activate", 1 )
        else
		   Call( "ActivateNode", "lights_step", 0 )
           Call( "lights_step_001:Activate", 0 )
		   Call( "lights_step_002:Activate", 0 )
		   Call( "lights_step_003:Activate", 0 )
		   Call( "lights_step_004:Activate", 0 )
		end   
    end

	
	--NumberBoards Lights
	if name == "Numberboards" then
        if value > 0 then
           Call( "ActivateNode", "lights_numberboards", 1 )
        else
           Call( "ActivateNode", "lights_numberboards", 0 )
		end   
    end
	
	
	--Gauge Lights
	if name == "InstrumentLights" then
        if value > 0 then
		   Call( "ActivateNode", "instrumentlights", 1 )
        else
		   Call( "ActivateNode", "instrumentlights", 0 )
		end   
    end
	
	
	--Fuel Pump
	if name == "FuelPumpSW" then
		if value == 1 then
		gFuelStart = true
		end
	end
	
	
	  -- Radiator Vents
 -- if name == "VentsControl" then
 --   Call( "*:SetControlValue", "SpeedometerMPH", 0, 1 )
 -- end
	

end






function Update ( time )


gTime = Call("*:GetSimulationTime", 0)
RPM = Call("GetControlValue", "RPM", 0)
Call("SetControlValue", "TractiveEffort", 0, math.abs(Call("GetTractiveEffort")))
gTE = Call("GetControlValue", "TractiveEffort", 0)



if RPM > 300 then
    Call( "Exhaust:SetEmitterActive", 1 )
    else
	Call( "Exhaust:SetEmitterActive", 0 )
end

------- CONTROL OF SELECTOR -----------------------------------------------
---------------------------------------------------------------------------
if Call("GetControlValue", "VirtualSelector", 0) == 0 then
gSelectorLock = false
elseif Call("GetControlValue", "VirtualSelector", 0) == 1 and gSelectorLock == false then
Call("SetControlValue", "Selector", 0, Call("GetControlValue", "Selector", 0) + 1)
gSelectorLock = true
elseif Call("GetControlValue", "VirtualSelector", 0) == -1 and gSelectorLock == false then
Call("SetControlValue", "Selector", 0, Call("GetControlValue", "Selector", 0) - 1)
gSelectorLock = true
end
--------------------------------------------------------------------------------------------





---------------- THROTTLE CONTROL -----------------------------------
---------------------------------------------------------------------
gSelector = Call("GetControlValue", "Selector", 0)
  
  if gSelector > 1.1 then
     Call("SetControlValue", "Regulator", 0, Call("GetControlValue", "VirtualThrottle", 0))
     elseif gSelector < 0.9 then
     Call("SetControlValue", "DynamicBrake", 0, Call("GetControlValue", "VirtualThrottle", 0))
  end

  if gSelector < 1.1 and gSelector > 0.9 then
     Call("SetControlValue", "ThrottleInNeutral", 0, Call("GetControlValue", "VirtualThrottle", 0))
  end


----------------- TRAIN BRAKE CONTROL --------------------------------
----------------------------------------------------------------------

-- Call("SetControlValue", "TrainBrakeControl", 0, Call("GetControlValue", "VirtualTrainBrakeControl", 0))

----------------- DYNAMIC BRAKE CONTROL --------------------------------
----------------------------------------------------------------------

 --Call("SetControlValue", "DynamicBrake", 0, Call("GetControlValue", "VirtualDynamicBrake", 0))


------------- BATTERY CHARGE CONTROL ------------------------------
-------------------------------------------------------------------

if Call("GetControlValue", "BatterySW", 0) == 1 then


	if gTime > gBatTime then
		if gAuxSupply == false then
			if Call("GetControlValue", "FuelPump", 0) == 1 then
				gBat = gBat - 0.1
			end
			
			if Call("GetControlValue", "Headlights", 0) == 1 then
				gBat = gBat - 0.2
			end
			
		end
		
		if gAuxSupply == true then
			gBat = gBat + 0.1
		end
	gBatTime = gTime + 0.5
	end
	
	
end

if gBat > 100 then
gBat = 100
elseif gBat < 0 then
gBat = 0
end

Call("SetControlValue", "Battery", 0, gBat)


------------- ENERGY SUPPLY CONTROL -------------------------------
-------------------------------------------------------------------

if Call("GetControlValue", "BatterySW", 0) == 1 and Call("GetControlValue", "Battery", 0) > 15 then
gBatSupply = true
Call( "SendConsistMessage", MSBATSW, Call( "GetControlValue", "BatterySW", 0), 0)
Call( "SendConsistMessage", MSBATSW, Call( "GetControlValue", "BatterySW", 0), 1)
else
gBatSupply = false
Call( "SendConsistMessage", MSBATSW, Call( "GetControlValue", "BatterySW", 0), 0)
Call( "SendConsistMessage", MSBATSW, Call( "GetControlValue", "BatterySW", 0), 1)
end

if Call("GetControlValue", "AuxGenSW", 0) == 1 and RPM >= 318 then
gAuxSupply = true
Call( "SendConsistMessage", MSAUXSW, Call( "GetControlValue", "AuxGenSW", 0), 0)
Call( "SendConsistMessage", MSAUXSW, Call( "GetControlValue", "AuxGenSW", 0), 1)
else
gAuxSupply = false
Call( "SendConsistMessage", MSAUXSW, Call( "GetControlValue", "AuxGenSW", 0), 0)
Call( "SendConsistMessage", MSAUXSW, Call( "GetControlValue", "AuxGenSW", 0), 1)
end

--if Call("GetControlValue", "BatterySW", 0) == 1 and Call("GetControlValue", "Battery", 0) > 15 then
--gBatSupply = true
--Call( "SendConsistMessage", MSBATSW, Call( "GetControlValue", "BatterySW", 0), 0)
--Call( "SendConsistMessage", MSBATSW, Call( "GetControlValue", "BatterySW", 0), 1)
--else
--gBatSupply = false
--Call( "SendConsistMessage", MSBATSW, Call( "GetControlValue", "BatterySW", 0), 0)
--Call( "SendConsistMessage", MSBATSW, Call( "GetControlValue", "BatterySW", 0), 1)
--end

--if Call("GetControlValue", "BatterySW", 0) == 3 and RPM >= 318 then
--gAuxSupply = true
--Call( "SendConsistMessage", MSAUXSW, Call( "GetControlValue", "BatterySW", 0), 0)
--Call( "SendConsistMessage", MSAUXSW, Call( "GetControlValue", "BatterySW", 0), 3)
--else
--gAuxSupply = false
--Call( "SendConsistMessage", MSAUXSW, Call( "GetControlValue", "BatterySW", 0), 0)
--Call( "SendConsistMessage", MSAUXSW, Call( "GetControlValue", "BatterySW", 0), 3)
--end







if gBatSupply == true or gAuxSupply == true then
	if gFuelStart == true then
		Call("SetControlValue", "FuelPump", 0, 1)
	end
else
gFuelStart = false
Call("SetControlValue", "FuelPump", 0, 0)

Call( "SendConsistMessage", MSPUMP, Call( "GetControlValue", "FuelPump", 0), 0)
Call( "SendConsistMessage", MSPUMP, Call( "GetControlValue", "FuelPump", 0), 1)


end
-------------------------------------------------------------------
-------------------------------------------------------------------

		



----------------- STARTUP CONTROL -------------------------------
-----------------------------------------------------------------
if ( Call( "GetIsEngineWithKey" ) == 1 ) then

    if Call("GetControlValue", "FuelPump", 0) == 0 then

       gInService = -1

    end

    if Call("GetControlValue", "FuelPressure", 0) > 11.5 and Call("GetControlValue", "Start", 0) == 1 and Call("GetControlValue", "Temperature", 0) <= 130 then

       gInService = 1

    end


    Call( "SetControlValue", "Startup", 0, gInService)



    Call( "SendConsistMessage", MSSTARTUP, Call( "GetControlValue", "Startup", 0), 0)
    Call( "SendConsistMessage", MSSTARTUP, Call( "GetControlValue", "Startup", 0), 1)

	
	
	
	end
------------------------------------------------------------------
------------------------------------------------------------------	


Call ("SetControlValue", "Acel", 0, Call("GetAcceleration"))



---- FUEL PRESSURE CONTROL ------------------------------------------
---------------------------------------------------------------------

if Call("GetControlValue", "FuelPump", 0) == 1 then

	if RPM >= 318 then
		gFuelPress = 12 + ((RPM - 318) * 0.012)
	else
		gFuelPress = 12
	end	
else
	gFuelPress = 0
end
	if gFuelFactor < gFuelPress - 0.1 or gFuelFactor > gFuelPress + 0.1 then
		if gTime > gFuelTime then
			
				if gFuelFactor < gFuelPress then
					gFuelFactor = gFuelFactor + 0.1
				elseif gFuelFactor > gFuelPress then
					gFuelFactor = gFuelFactor - 0.2
				end
			
			gFuelTime = gTime + 0.1
		end
	end	
			Call("SetControlValue", "FuelPressure", 0, gFuelFactor)
--------------------------------------------------------------------------
--------------------------------------------------------------------------


------------- TEMPERATURE CONTROL ---------------------------------------
-------------------------------------------------------------------------
if ( Call( "GetIsEngineWithKey" ) == 1 ) then


---------------------------------------------------------------------------
if gTime > gTempTime then
---------------------------------------------------------------------------

if Call("GetControlValue", "Temperature", 0) > 75 then
gCoolFactor = (((RPM - 318) / 200) + 1.12) * -1
else
gCoolFactor = 0
end

if RPM < 318 and Call("GetControlValue", "Temperature", 0) > 15 then
gAmbientFactor = -1
else
gAmbientFactor = 0
end



gRpmHeat = ((RPM - 318) / 250) + 1
gTEHeat = 2.35 * gTE



Temp(gTEHeat, gRpmHeat, gCoolFactor, gAmbientFactor)






----------------------------------------------------------------------------
gTempTime = gTime + 1
end
----------------------------------------------------------------------------
end
----------------------------------------------------------------------------



------------------- ALERTS CONTROL ------------------------------------------
if gBatSupply == true or gAuxSupply == true then
-----------------------------------------------------------------------------
if Call( "GetControlValue", "Battery", 0) < 33 or Call("*:GetControlValue", "Temperature", 0) > 120 or Call("*:GetControlValue", "Wheelslip", 0) ~= 1 then
	if gTime > gAlertsTime then
		if gAlertsInter == false then gAlertsInter = true
			Call("SetControlValue", "Alarm", 0, 1 )

				
		
		
		elseif gAlertsInter == true then gAlertsInter = false
		Call("SetControlValue", "Alarm", 0, 0 )
		end
		

		
		
		
	gAlertsTime = gTime + 0.5
	end
end



if Call( "GetControlValue", "Battery", 0) < 33 then
	
		if gAlertsInter == true then
		Call("SetControlValue", "BatAlert", 0, 1 )
		else
		Call("SetControlValue", "BatAlert", 0, 0)
		end
	
else
Call("SetControlValue", "BatAlert", 0, 0 )
end


if Call("GetControlValue", "Temperature", 0) > 120 then
	
		if gAlertsInter == true then
		Call("SetControlValue", "HeatAlert", 0, 1 )
		else
		Call("SetControlValue", "HeatAlert", 0, 0)
		end
	
else
Call("SetControlValue", "HeatAlert", 0, 0 )
end


if Call("GetControlValue", "Wheelslip", 0) ~= 1 then
	
		if gAlertsInter == true then
		Call("SetControlValue", "WsAlert", 0, 1 )
		else
		Call("SetControlValue", "WsAlert", 0, 0)
		end
	
else
Call("SetControlValue", "WsAlert", 0, 0 )
end









-----------------------------------------------------------------------------
end -- OF ALERTS CONTROL
-----------------------------------------------------------------------------


if Call("GetControlValue", "Temperature", 0) > 130 then
gInService = -1
end







-- -- DYNAMIC BRAKE FAN ANIMATION ----------------------------------------
-- ---------------------------------------------------------------------



 gTime = Call("*:GetSimulationTime", 0)

if Call("*:GetControlValue", "DynamicBrake", 0) > 0 then


 gFanAdd = Call("*:GetControlValue", "DynamicBrake", 0) / 30



if gTime > gFanTime then
	Call("*:AddTime", "DynFan01", gFanAdd )
	gFanVel = gFanVel + gFanAdd
	if gFanVel > 1 then
		Call("*:AddTime", "DynFan01", -1 )
		gFanVel = 0
	end	  
gFanTime = gTime + 0.02	
end

 else
Call("*:AddTime", "DynFan01", 0 )
 end

-- --DYNAMIC BRAKE NEEDLES-----------------

gDBrakestate = Call("*:GetControlValue", "DynamicBrake", 0)
    if gDBrakestate > 0 then
       Call( "*:SetControlValue", "DynamicBrakeNeedle", 0, gDBrakestate )
    end

	
	--Dynamic Smoke (by RS.com)
	
 --   TractiveEffort = Call ( "GetTractiveEffort" )
 --   if TractiveEffort < 0.0 then 
 --     TractiveEffort = -TractiveEffort;			
 --   end
    
 --   if TractiveEffort < 0.1 then
              
--      gSmokeColourR = 0.25
--      gSmokeColourG = 0.25
--      gSmokeColourB = 0.25
--      Call ( "DieselExhaust:SetEmitterColour", gSmokeColourR, gSmokeColourG, gSmokeColourB );
--      Call ( "DieselExhaust:SetEmitterRate", 0.01 );	
--    end
    
--    if TractiveEffort <= 0.5 and TractiveEffort > 0.1 then
          
--        gSmokeColourR = 0.1
--        gSmokeColourG = 0.1
--        gSmokeColourB = 0.1
--        Call ( "DieselExhaust:SetEmitterColour", gSmokeColourR, gSmokeColourG, gSmokeColourB );
--        Call ( "DieselExhaust:SetEmitterRate", 0.005 );	
      
--    end
    
--    if TractiveEffort > 0.51 then 
    
--      gSmokeColourR = 0.0
--      gSmokeColourG = 0.0
--      gSmokeColourB = 0.0
--      Call ( "DieselExhaust:SetEmitterColour", gSmokeColourR, gSmokeColourG, gSmokeColourB );
--      Call ( "DieselExhaust:SetEmitterRate", 0.001 );
--    end



	--Strobe	
gTime = Call("*:GetSimulationTime", 0)

if Call("*:GetControlValue", "Strobe", 0) == 1 then	
	if gTime > gStrobeTime then
		if gStrobe == true then
			Call ( "*:ActivateNode", "lights_strobe", 1 )
			Call( "Lights_Strobe_001:Activate", 1 )
			gStrobe = false
		elseif gStrobe == false then
			Call ( "*:ActivateNode", "lights_strobe", 0 )
			Call( "Lights_Strobe_001:Activate", 0 )
			gStrobe = true
		end	
	gStrobeTime = gTime + gStrobeSpeed
	end		
else
Call ( "*:ActivateNode", "lights_strobe", 0 )
Call( "Lights_Strobe_001:Activate", 0 )
end


----Window01
gPos3 = (Call ("*:GetControlValue", "Window01_Control", 0))
	local ExIncremento3 = 0;

if gPos3 ~= gPrevExValue3 then

    ExIncremento3 = (gPos3 - gPrevExValue3)* 0.005;

        Call("*:AddTime", "Window01", ExIncremento3 );
		
    gPrevExValue3 = gPos3;

end

----Window02
gPos4 = (Call ("*:GetControlValue", "Window02_Control", 0))
	local ExIncremento4 = 0;

if gPos4 ~= gPrevExValue4 then

    ExIncremento4 = (gPos4 - gPrevExValue4)* 0.005;

        Call("*:AddTime", "Window02", ExIncremento4 );
		
    gPrevExValue4 = gPos4;

end

----Window03
gPos7 = (Call ("*:GetControlValue", "Window03_Control", 0))
	local ExIncremento7 = 0;

if gPos7 ~= gPrevExValue7 then

    ExIncremento7 = (gPos7 - gPrevExValue7)* 0.005;

        Call("*:AddTime", "Window03", ExIncremento7 );
		
    gPrevExValue7 = gPos7;

end

----Window04
gPos8 = (Call ("*:GetControlValue", "Window04_Control", 0))
	local ExIncremento8 = 0;

if gPos8 ~= gPrevExValue8 then

    ExIncremento8 = (gPos8 - gPrevExValue8)* 0.005;

        Call("*:AddTime", "Window04", ExIncremento8 );
		
    gPrevExValue8 = gPos8;

end

----Door01
gPos5 = (Call ("*:GetControlValue", "Door01_Control", 0))
	local ExIncremento5 = 0;

if gPos5 ~= gPrevExValue5 then

    ExIncremento5 = (gPos5 - gPrevExValue5)* 0.005;

        Call("*:AddTime", "Door01", ExIncremento5 );
		
    gPrevExValue5 = gPos5;

end


----Door02
gPos6 = (Call ("*:GetControlValue", "Door02_Control", 0))
	local ExIncremento6 = 0;

if gPos6 ~= gPrevExValue6 then

    ExIncremento6 = (gPos6 - gPrevExValue6)* 0.005;

        Call("*:AddTime", "Door02", ExIncremento6 );
		
    gPrevExValue6 = gPos6;
	
end

----Brake Cylinder
  gBrakestate = (Call ("*:GetControlValue", "`BrakeCilControl", 0))
    local ExIncremento9 = 0;
  
  
    if gBrakestate ~= gPrevExValue9 then
	
	ExIncremento9 = (gBrakestate - gPrevExValue9)* 0.01;
	
	  Call ("AddTime", "Bo01brakes", ExIncremento9)
	  
	  gPrevExValue9 = gBrakestate;
	  
	end	
	
	if gBrakestate ~= gPrevExValue9 then
	
	ExIncremento9 = (gBrakestate - gPrevExValue9)* 0.01;
	
	  Call ("AddTime", "Bo02brakes", ExIncremento9)
	  
	  gPrevExValue9 = gBrakestate;
	  
	end	
	
	---Exhaust	
    if (Call( "GetIsEngineWithKey") == 1) then

	
        Call( "DieselExhaust:SetEmitterActive", 1 )
        Call( "DieselExhaust:SetEmitterActive", 1 )	
        Rev = Call( "*:GetControlValue", "RPM", 0 )
        Fuerza = 0.01 - ((Rev - 275) * 0.001785) / 100
        Call( "DieselExhaust:SetEmitterRate",  Fuerza )

        Call( "DieselExhaust:SetEmitterColour", 0, 0, 0)
	
    end
	
	---Dirt01
	
	 gTime = Call("*:GetSimulationTime", 0)
	 
	 gLocoSpeed = Call ( "GetSpeed" )
	 gDirection = Call("*:GetControlValue", "Reverser", 0)
	    if gLocoSpeed > 30 then 
           if gDirection == 1 then
		      Call( "FWD_Dirt_01:SetEmitterActive", 1 )
	          Call( "FWD_Dirt_02:SetEmitterActive", 1 )
			  Call( "BWD_Dirt_01:SetEmitterActive", 0 )
	          Call( "BWD_Dirt_02:SetEmitterActive", 0 )
		   end
		   
		   if gDirection == 0 then
		      Call( "FWD_Dirt_01:SetEmitterActive", 0 )
	          Call( "FWD_Dirt_02:SetEmitterActive", 0 )
			  Call( "BWD_Dirt_01:SetEmitterActive", 0 )
	          Call( "BWD_Dirt_02:SetEmitterActive", 0 )
		   end
		   
		   if gDirection == -1 then
		      Call( "FWD_Dirt_01:SetEmitterActive", 0 )
	          Call( "FWD_Dirt_02:SetEmitterActive", 0 )
		 	  Call( "BWD_Dirt_01:SetEmitterActive", 1 )
	          Call( "BWD_Dirt_02:SetEmitterActive", 1 )
		   end
		end
	
	
	---Radiator vents
	
	gPos10 = (Call ("*:GetControlValue", "Ammeter", 0))
	local ExIncremento10 = 0;

        if gPos10 ~= gPrevExValue10 then

             ExIncremento10 = (gPos10 - gPrevExValue10)* 0.5;

                   Call("*:AddTime", "Vents", ExIncremento10 );
		
             gPrevExValue10 = gPos10;

        end
		
	

end -- OF UPDATE FUNCTION




function Temp(teAdd, rpmAdd, coolAdd, ambientAdd)

local ActualTemp = Call("*:GetControlValue", "Temperature", 0)

ActualTemp = ActualTemp + teAdd + rpmAdd + coolAdd + ambientAdd

Call("SetControlValue", "Temperature", 0, ActualTemp )



end






function OnConsistMessage ( msg, argument, direction )

  if ( Call( "GetIsEngineWithKey" ) == 0 ) then


     if msg == MSSTARTUP then

         Call("SetControlValue", "Startup", 0, argument)

         Call( "SendConsistMessage", MSSTARTUP, argument, direction)


     end

     if msg == MSPUMP then

         Call("SetControlValue", "FuelPump", 0, argument)

         Call( "SendConsistMessage", MSPUMP, argument, direction)


     end


     if msg == MSSTART then

         Call("SetControlValue", "Start", 0, argument)

         Call( "SendConsistMessage", MSSTART, argument, direction)

     end


     if msg == MSBAT then

         Call("SetControlValue", "Battery", 0, argument)

         Call( "SendConsistMessage", MSBAT, argument, direction)

     end


     if msg == MSAUXSW then

         Call("SetControlValue", "AuxGenSW", 0, argument)

         Call( "SendConsistMessage", MSAUXSW, argument, direction)

     end


     if msg == MSFUELPRESS then

         Call("SetControlValue", "FuelPress", 0, argument)

         Call( "SendConsistMessage", MSFUELPRESS, argument, direction)

     end


     if msg == MSBATSW then

         Call("SetControlValue", "BatterySW", 0, argument)

         Call( "SendConsistMessage", MSBATSW, argument, direction)

     end
   end

end
